@echo on

echo update ATIC begin...

if exist .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\ (

	copy /Y .\lib\atic.cbb.ireport-0.0.1-SNAPSHOT.jar .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\atic.cbb.ireport-0.0.1-SNAPSHOT.jar
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\lib\atic.ireport.adapter-0.0.1-SNAPSHOT.jar .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\atic.ireport.adapter-0.0.1-SNAPSHOT.jar
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\lib\com.huawei.atic.auth.encrypt-0.0.1-SNAPSHOT.jar .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\com.huawei.atic.auth.encrypt-0.0.1-SNAPSHOT.jar
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\lib\com.huawei.atic.cbb.cloudclean-0.0.1-SNAPSHOT.jar .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\com.huawei.atic.cbb.cloudclean-0.0.1-SNAPSHOT.jar
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\lib\com.huawei.atic.cbb.dashboard-0.0.1-SNAPSHOT.jar .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\com.huawei.atic.cbb.dashboard-0.0.1-SNAPSHOT.jar
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\lib\com.huawei.atic.cbb.diversion-0.0.1-SNAPSHOT.jar .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\com.huawei.atic.cbb.diversion-0.0.1-SNAPSHOT.jar
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\lib\com.huawei.atic.cbb.fault-0.0.1-SNAPSHOT.jar .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\com.huawei.atic.cbb.fault-0.0.1-SNAPSHOT.jar
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\lib\com.huawei.atic.cbb.internal-0.0.1-SNAPSHOT.jar .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\com.huawei.atic.cbb.internal-0.0.1-SNAPSHOT.jar
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\lib\com.huawei.atic.cbb.log-0.0.1-SNAPSHOT.jar .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\com.huawei.atic.cbb.log-0.0.1-SNAPSHOT.jar
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\lib\com.huawei.atic.cbb.neglobal-0.0.1-SNAPSHOT.jar .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\com.huawei.atic.cbb.neglobal-0.0.1-SNAPSHOT.jar
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\lib\com.huawei.atic.cbb.packetcapture-0.0.1-SNAPSHOT.jar .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\com.huawei.atic.cbb.packetcapture-0.0.1-SNAPSHOT.jar
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\lib\com.huawei.atic.cbb.policy-0.0.1-SNAPSHOT.jar .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\com.huawei.atic.cbb.policy-0.0.1-SNAPSHOT.jar
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\lib\com.huawei.atic.cbb.report-0.0.1-SNAPSHOT.jar .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\com.huawei.atic.cbb.report-0.0.1-SNAPSHOT.jar
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\lib\com.huawei.atic.cbb.secne-0.0.1-SNAPSHOT.jar .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\com.huawei.atic.cbb.secne-0.0.1-SNAPSHOT.jar
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\lib\com.huawei.atic.cbb.server-0.0.1-SNAPSHOT.jar .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\com.huawei.atic.cbb.server-0.0.1-SNAPSHOT.jar
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\lib\com.huawei.atic.core.base-0.0.1-SNAPSHOT.jar .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\com.huawei.atic.core.base-0.0.1-SNAPSHOT.jar
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\lib\com.huawei.atic.core.log-0.0.1-SNAPSHOT.jar .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\com.huawei.atic.core.log-0.0.1-SNAPSHOT.jar
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\lib\com.huawei.atic.system.common-0.0.1-SNAPSHOT.jar .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\com.huawei.atic.system.common-0.0.1-SNAPSHOT.jar
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\lib\com.huawei.atic.system.dump-0.0.1-SNAPSHOT.jar .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\com.huawei.atic.system.dump-0.0.1-SNAPSHOT.jar
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\lib\com.huawei.atic.unicom.soc-0.0.1-SNAPSHOT.jar .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\com.huawei.atic.unicom.soc-0.0.1-SNAPSHOT.jar
	if %errorlevel% NEQ 0 (GOTO :EOF)
)

if exist .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\xmlschema-core-2.2.4.jar (

	copy /Y .\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\xmlschema-core-2.2.5.jar .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\xmlschema-core-2.2.5.jar
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\javax.annotation-api-1.3.2.jar .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\javax.annotation-api-1.3.2.jar
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\cxf-core-3.3.5.jar .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\cxf-core-3.3.5.jar
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\cxf-rt-frontend-jaxrs-3.3.5.jar .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\cxf-rt-frontend-jaxrs-3.3.5.jar
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\cxf-rt-transports-http-3.3.5.jar .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\cxf-rt-transports-http-3.3.5.jar
	if %errorlevel% NEQ 0 (GOTO :EOF)

	del .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\xmlschema-core-2.2.4.jar 
	if %errorlevel% NEQ 0 (GOTO :EOF)
	del .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\javax.annotation-api-1.3.1.jar
	if %errorlevel% NEQ 0 (GOTO :EOF)
	del .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\cxf-core-3.3.1.jar
	if %errorlevel% NEQ 0 (GOTO :EOF)
	del .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\cxf-rt-frontend-jaxrs-3.3.1.jar
	if %errorlevel% NEQ 0 (GOTO :EOF)
	del .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\lib\cxf-rt-transports-http-3.3.1.jar
	if %errorlevel% NEQ 0 (GOTO :EOF)
)

if exist .\..\Runtime\vsm_conf\antiddos\ (
	copy /Y .\Runtime\vsm_conf\antiddos\attackIpConfig.xml .\..\Runtime\vsm_conf\antiddos\attackIpConfig.xml
	if %errorlevel% NEQ 0 (GOTO :EOF)
)
if exist .\..\Runtime\vsm_conf\antiddos\unicom\unicom.xml (
	copy /Y .\Runtime\vsm_conf\antiddos\unicom\unicom.xml .\..\Runtime\vsm_conf\antiddos\unicom\unicom.xml
	if %errorlevel% NEQ 0 (GOTO :EOF)
)
if exist .\..\Runtime\vsm_conf\policy\ (
	copy /Y .\Runtime\vsm_conf\policy\policy.xml .\..\Runtime\vsm_conf\policy\policy.xml
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\Runtime\vsm_conf\policy\autoSecDownload.conf .\..\Runtime\vsm_conf\policy\autoSecDownload.conf
	if %errorlevel% NEQ 0 (GOTO :EOF)
)
if exist .\..\Runtime\LegoRuntime\conf\ (
	copy /Y .\Runtime\LegoRuntime\conf\version.txt .\..\Runtime\LegoRuntime\conf\version.txt
	if %errorlevel% NEQ 0 (GOTO :EOF)
)
if exist .\..\antiddos_collector\conf\ (
	copy /Y .\antiddos_collector\conf\version.txt .\..\antiddos_collector\conf\version.txt
	if %errorlevel% NEQ 0 (GOTO :EOF)
)
if exist .\..\Runtime\Tomcat6\Lego-UI-Plat\help\ (
	rmdir /s/q .\..\Runtime\Tomcat6\Lego-UI-Plat\help\
	if %errorlevel% NEQ 0 (GOTO :EOF)
	xcopy /Y /E /Q .\Runtime\Tomcat6\Lego-UI-Plat\help .\..\Runtime\Tomcat6\Lego-UI-Plat\help\ >nul
	if %errorlevel% NEQ 0 (GOTO :EOF)
)
if exist .\..\antiddos_collector\lib\ (
	copy /Y .\lib\com.huawei.atic.collector-0.0.1-SNAPSHOT.jar .\..\antiddos_collector\lib\com.huawei.atic.collector-0.0.1-SNAPSHOT.jar
	if %errorlevel% NEQ 0 (GOTO :EOF)
)
if exist .\..\vsm_ha_server\lib\ (
	copy /Y .\lib\ha.jar .\..\vsm_ha_server\lib\ha.jar
	if %errorlevel% NEQ 0 (GOTO :EOF)
)
if exist .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\config\spring\ (
	copy /Y .\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\config\spring\applicationContext.xml .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\config\spring\applicationContext.xml
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\config\spring\applicationContext-Restful.xml .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\config\spring\applicationContext-Restful.xml
	if %errorlevel% NEQ 0 (GOTO :EOF)
)
if exist .\..\Runtime\Tomcat6\Lego-UI-Plat\iReport\iReportBiz\reportPlugins\ (
	copy /Y .\Runtime\Tomcat6\Lego-UI-Plat\iReport\iReportBiz\reportPlugins\dnsCache\resources_en.properties .\..\Runtime\Tomcat6\Lego-UI-Plat\iReport\iReportBiz\reportPlugins\dnsCache\resources_en.properties
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\Runtime\Tomcat6\Lego-UI-Plat\iReport\iReportBiz\reportPlugins\dnsReplyTopN\resources.properties .\..\Runtime\Tomcat6\Lego-UI-Plat\iReport\iReportBiz\reportPlugins\dnsReplyTopN\resources.properties
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\Runtime\Tomcat6\Lego-UI-Plat\iReport\iReportBiz\reportPlugins\dnsReplyTopN\resources_en.properties .\..\Runtime\Tomcat6\Lego-UI-Plat\iReport\iReportBiz\reportPlugins\dnsReplyTopN\resources_en.properties
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\Runtime\Tomcat6\Lego-UI-Plat\iReport\iReportBiz\reportPlugins\dnsTopN\resources.properties .\..\Runtime\Tomcat6\Lego-UI-Plat\iReport\iReportBiz\reportPlugins\dnsTopN\resources.properties
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\Runtime\Tomcat6\Lego-UI-Plat\iReport\iReportBiz\reportPlugins\dnsTopN\resources_en.properties .\..\Runtime\Tomcat6\Lego-UI-Plat\iReport\iReportBiz\reportPlugins\dnsTopN\resources_en.properties
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\Runtime\Tomcat6\Lego-UI-Plat\iReport\iReportBiz\reportPlugins\zoneReport\resources.properties .\..\Runtime\Tomcat6\Lego-UI-Plat\iReport\iReportBiz\reportPlugins\zoneReport\resources.properties
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\Runtime\Tomcat6\Lego-UI-Plat\iReport\iReportBiz\reportPlugins\zoneReport\resources_en.properties .\..\Runtime\Tomcat6\Lego-UI-Plat\iReport\iReportBiz\reportPlugins\zoneReport\resources_en.properties
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\Runtime\Tomcat6\Lego-UI-Plat\iReport\iReportBiz\reportPlugins\zoneReportNoSupplement\resources.properties .\..\Runtime\Tomcat6\Lego-UI-Plat\iReport\iReportBiz\reportPlugins\zoneReportNoSupplement\resources.properties
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\Runtime\Tomcat6\Lego-UI-Plat\iReport\iReportBiz\reportPlugins\zoneReportNoSupplement\resources_en.properties .\..\Runtime\Tomcat6\Lego-UI-Plat\iReport\iReportBiz\reportPlugins\zoneReportNoSupplement\resources_en.properties
	if %errorlevel% NEQ 0 (GOTO :EOF)
)
if exist .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\pages\iReport\reportui\report\ (
	copy /Y .\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\pages\iReport\reportui\report\table.jsp .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\pages\iReport\reportui\report\table.jsp
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\pages\iReport\reportui\report\tableSp.jsp .\..\Runtime\Tomcat6\Lego-UI-Plat\WEB-INF\pages\iReport\reportui\report\tableSp.jsp
	if %errorlevel% NEQ 0 (GOTO :EOF)
)
if exist .\..\Runtime\Tomcat6\webapps\portal\js\datePicker\ (
	copy /Y .\Runtime\Tomcat6\webapps\portal\js\datePicker\My97DatePicker.htm .\..\Runtime\Tomcat6\webapps\portal\js\datePicker\My97DatePicker.htm
	if %errorlevel% NEQ 0 (GOTO :EOF)
)
if exist .\..\Runtime\Tomcat6\webapps\portal\WEB-INF\classes\ (
	copy /Y .\Runtime\Tomcat6\webapps\portal\WEB-INF\classes\portal.properties .\..\Runtime\Tomcat6\webapps\portal\WEB-INF\classes\portal.properties
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\Runtime\Tomcat6\webapps\portal\WEB-INF\classes\portal_en_US.properties .\..\Runtime\Tomcat6\webapps\portal\WEB-INF\classes\portal_en_US.properties
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\Runtime\Tomcat6\webapps\portal\WEB-INF\classes\portal_fi_FI.properties .\..\Runtime\Tomcat6\webapps\portal\WEB-INF\classes\portal_fi_FI.properties
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\Runtime\Tomcat6\webapps\portal\WEB-INF\classes\portal_ru_RU.properties .\..\Runtime\Tomcat6\webapps\portal\WEB-INF\classes\portal_ru_RU.properties
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\Runtime\Tomcat6\webapps\portal\WEB-INF\classes\portal_uk_UA.properties .\..\Runtime\Tomcat6\webapps\portal\WEB-INF\classes\portal_uk_UA.properties
	if %errorlevel% NEQ 0 (GOTO :EOF)
	copy /Y .\Runtime\Tomcat6\webapps\portal\WEB-INF\classes\portal_zh_CN.properties .\..\Runtime\Tomcat6\webapps\portal\WEB-INF\classes\portal_zh_CN.properties
	if %errorlevel% NEQ 0 (GOTO :EOF)
)
if exist .\..\vsm_ha_server\ (
	copy /Y .\vsm_ha_server\VSMHAService.bat .\..\vsm_ha_server\VSMHAService.bat
	if %errorlevel% NEQ 0 (GOTO :EOF)
)

echo update ATIC finished.

@echo off